Bug 1696086 - [Kubevirt-Foreman] wrong validation on x509 certificate
Summary: [Kubevirt-Foreman] wrong validation on x509 certificate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On: 1746434
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 06:50 UTC by Vatsal Parekh
Modified: 2020-04-14 13:24 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-fog-kubevirt-1.1.1
Doc Type: If docs needed, set a value
Doc Text:
Incorrect x509 certificates specified in the settings fields for Kubevirt Compute Resources can still show 'Test connection was successful'. If unable to view list of virtual machines after creating the Compute Resource, verify the x509 certificate is valid.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github fog fog-kubevirt pull 93 None closed Support SSL 2020-04-13 16:48:14 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:19 UTC

Description Vatsal Parekh 2019-04-04 06:50:41 UTC
Description of problem:
Even when the cert value was given wrong, the validation shows that `Test connection was successful`
And adding compute resource with that wrong value worked as well, was able to see the list of VMs, which reflects some wrong logic there.

Version-Release number of selected component (if applicable):
master of the plugin

How reproducible:


Steps to Reproduce:
1.Add a wrong value in x509 cert
2.Test connection and add that compute resource
3.Still seeing the list of VMs

Actual results:
Compute resource works with wrong x509 cert, error in the logic

Expected results:
Should show failed validation at first, and should not be working if cert was wrong

Additional info:

Comment 3 Vatsal Parekh 2019-04-04 07:12:49 UTC
Also seeing the issue with positive flow, not able to add it anymore with updated gem
Getting `wrong number of arguments (given 1, expected 0)`

Comment 4 Vatsal Parekh 2019-04-12 06:59:29 UTC
This seems working on latest nightly Foreman + plugin master

Comment 6 Lukáš Hellebrandt 2019-08-01 13:58:04 UTC
Wrong cert now causes Test Connection to fail.

However, it is still possible to submit the form and the CR is added. It doesn't work then. This isn't necessarily wrong but it's inconsistent with other CRs. For example, it's not possible to add a RHEV CR with invalid cert at all. I think it shouldn't be possible to add Kubevirt when Test Connection fails.

Comment 19 errata-xmlrpc 2020-04-14 13:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.